Summary:	User-friendly text console file manager and visual shell.
Name:		mc
Version:	4.6.1
Release:	2
License:	GPL
Group:		System Environment/Shells
Source0:	http://www.ibiblio.org/pub/Linux/utils/file/managers/mc/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.ibiblio.org/mc/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	glib2-devel >= 2.20.5, gettext-devel >= 0.17
Requires:	glib2 >= 2.20.5, gettext >= 0.17

%description
Midnight Commander is a visual shell much like a file manager, only
with many more features. It is a text mode application, but it also
includes mouse support if you are running GPM. Midnight Commander's
best features are its ability to FTP, view tar and zip files, and to
poke into RPMs for specific files.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
chmod 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d
cp lib/mc.sh lib/mc.csh ${RPM_BUILD_ROOT}%{_sysconfdir}/profile.d

# install charsets, bug #76486
cp lib/mc.charsets ${RPM_BUILD_ROOT}%{_datadir}/%{name}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc FAQ COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}/*
%{_mandir}/??/man1
%{_mandir}/man1/*
%config %{_sysconfdir}/profile.d/*
%dir %{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/locale/*/*/*


%changelog
* Thu Feb 18 2010 Michael Perzl <michael@perzl.org> - 4.6.1-2
- fixed some directory permissions problems

* Tue Mar 04 2008 Michael Perzl <michael@perzl.org> - 4.6.1-1
- first version for AIX V5.1 and higher
